Get WA Templates by WABA ID

Fetch WhatsApp message templates by providing the WABA ID.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Use this API to retrieve the WhatsApp message templates configured for your account by providing your WABA ID.

Path Parameters:

  • waba_id: Enter your unique WhatsApp Business Account (WABA) ID to fetch the associated templates.
👍

In-CcaaS Customers: Use the domain in1-ccaaspro.ozonetel.com when making your request.

Rate Limit: 5 requests per minute.

Possible Responses

Example Success Response{
"data": [
{
"name": "Name of the template",
"components": [
{
"type": "BODY",
"text": "Dear {{1}},\n\nThank you for your interest in {{2}}. ",
"example": {
"body_text": [
[
"Name",
"Test",
"30th August, 10 AM",
"Address",
"xxxxx"
],
[
"Name",
"Test",
"30th August, 10 AM",
"Address",
"xxxxx"
]
]
}
},
{
"type": "BUTTONS",
"buttons": [
{
"type": "URL",
"text": "Visit Website",
"url": "https://www.url.com/"\
}
]
}
],
"language": "en",
"status": "APPROVED",
"category": "UTILITY",
"id": "xxxxxxxxxxxxx",
"parameter_count": xx
},
{
"name": "booking_approved_by_team_in",
"components": [
{
"type": "BODY",
"text": "Dear {{1}} ,\nThank you for choosing test {{2}} ."
}
],
"language": "en",
"status": "APPROVED",
"category": "UTILITY",
"id": "xxxxxxxxxxx",
"parameter_count": xx
}
]
}
When the rate limits exceeds{
"status": "failed",
"message": "Rate limit exceeded. Please try again later."
}
Path Params
string
required

The WABA ID to retrieve templates for

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!